# Uses of Interface
org.eclipse.microprofile.openapi.models.security.OAuthFlows

Packages that use OAuthFlows
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models.security
A set of model interfaces to represent various security components of an OpenAPI app.

## Uses of OAuthFlows in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return OAuthFlows
Modifier and Type
Method
Description
`static OAuthFlows`
OASFactory.`createOAuthFlows()`
This method creates a new `OAuthFlows` instance.

## Uses of OAuthFlows in org.eclipse.microprofile.openapi.models.security

Methods in org.eclipse.microprofile.openapi.models.security that return OAuthFlows
Modifier and Type
Method
Description
`default OAuthFlows`
OAuthFlows.`authorizationCode(OAuthFlow authorizationCode)`
OAuth Authorization Code flow; previously called accessCode in OpenAPI 2.0
`default OAuthFlows`
OAuthFlows.`clientCredentials(OAuthFlow clientCredentials)`
OAuth Client Credential flow; previously called application in OpenAPI 2.0
`OAuthFlows`
SecurityScheme.`getFlows()`
Flows is a REQUIRED property.
`default OAuthFlows`
OAuthFlows.`implicit(OAuthFlow implicit)`
This method sets the implicit property of OAuthFlows instance to the given implicit argument and returns the modified instance.
`default OAuthFlows`
OAuthFlows.`password(OAuthFlow password)`
OAuth Resource Owner Password flow
Methods in org.eclipse.microprofile.openapi.models.security with parameters of type OAuthFlows
Modifier and Type
Method
Description
`default SecurityScheme`
SecurityScheme.`flows(OAuthFlows flows)`
Flows is a REQUIRED property.
`void`
SecurityScheme.`setFlows(OAuthFlows flows)`
Flows is a REQUIRED property.